Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/sphinx-build python-devel python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-restauth-common
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname restauth-common

Name:           python-module-restauth-common
Version:        0.6.2
Release:        alt1_18
Summary:        Python module containing classes used by both RestAuth server/client
License:        GPLv3+
URL:            https://common.restauth.net/
Source0:        https://common.restauth.net/download/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-module-sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

%global _description\
RestAuthCommon is a small project that collects various code that is used\
in both server and client reference implementations of the RestAuth protocol,\
which are both written in python.
Source44: import.info

%description 

%_description
%package -n python3-module-restauth-common
Group: Development/Other
Summary:        Python module containing classes used by both RestAuth server/client

%description -n python3-module-restauth-common
RestAuthCommon is a small project that collects various code that is used
in both server and client reference implementations of the RestAuth protocol,
which are both written in python.

%package -n python-module-restauth-common-doc
Group: Documentation
Summary:        RestAuthCommon Documentation
BuildArch: noarch

%description -n python-module-restauth-common-doc
Documentation for RestAuthCommon

%prep
%setup -q -n %{srcname}-%{version} -c


%build
%python3_build
%{__python3} setup.py build_doc

%install
%python3_install
rm -rf %{buildroot}/usr/share/doc/*

# Install doc
cp -a ./doc/_build/html ./
rm -f html/\.buildinfo

%files -n python3-module-restauth-common
%doc AUTHORS COPYING COPYRIGHT ChangeLog
%{python3_sitelibdir_noarch}/*

%files -n python-module-restauth-common-doc
%doc html

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_18
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_15
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_14
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_13
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_10
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_8
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_7
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_5
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_4
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_2
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_7
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_6
- initial fc import

